Website Builder API
POST /services/websites/v1/secured/page-designer/get Public

Get Secured Page Designer

Request Body Required

FieldTypeRequiredDescriptionExample
page_id string Yes ID or slug of the password-protected page to access
website_id string Yes ID of the website the page belongs to
password string Yes Password to unlock the secured page content

Responses

422
200
429
Validation error
FieldTypeDescription
message string Errors overview.
errors object A detailed description of each field that failed validation.
Successful response
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
components string[]
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/websites/v1/secured/page-designer/get" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "page_id": "string",
    "website_id": "string",
    "password": "string"
}'
fetch('https://api.wemasy.nl/api/services/websites/v1/secured/page-designer/get', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "page_id": "string",
    "website_id": "string",
    "password": "string"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/websites/v1/secured/page-designer/get', {
    "page_id": "string",
    "website_id": "string",
    "password": "string"
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "page_id": "string",
    "website_id": "string",
    "password": "string"
}
r = requests.post("https://api.wemasy.nl/api/services/websites/v1/secured/page-designer/get", headers=headers, json=data)
print(r.json())
Response Example
{
    "components": []
}

Try It
Request Body Required

Export